import { Effect, Dispatch } from "./index";
export declare function none<Action>(): Effect<Action>;
export declare function delay<Action>(action: Action, delay: number): Effect<Action>;
export declare function action<Action>(action: Action): Effect<Action>;
export declare function fromPromise<Action>(promise: () => Promise<Action>): Effect<Action>;
export declare function fromFunction<Action>(f: (dispatch: Dispatch<Action>) => void): Effect<Action>;
export declare function fromIterator<Action, I extends Iterable<Action>>(iterator: Iterable<Action>): Effect<Action>;
export declare function combine<Action>(...effects: Effect<Action>[]): Effect<Action>;
