"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function none() {
    return [];
}
exports.none = none;
function delay(action, delay) {
    return [dispatch => setTimeout(() => dispatch(action), delay)];
}
exports.delay = delay;
function action(action) {
    return [dispatch => dispatch(action)];
}
exports.action = action;
function fromPromise(promise) {
    return [dispatch => promise().then(dispatch)];
}
exports.fromPromise = fromPromise;
function fromFunction(f) {
    return [f];
}
exports.fromFunction = fromFunction;
function fromIterator(iterator) {
    return [
        dispatch => {
            for (const action of iterator) {
                dispatch(action);
            }
        }
    ];
}
exports.fromIterator = fromIterator;
function combine(...effects) {
    return effects.reduce((prev, effect) => [...prev, ...effect], []);
}
exports.combine = combine;
